Bug 1279614 - UnicodeError: encoding with 'idna' codec failed (UnicodeError: label empty or too long)
UnicodeError: encoding with 'idna' codec failed (UnicodeError: label empty or...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
abrt_hash:c2bbc4f8a0d5d7c3789ddc88933...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 15:59 EST by Peter Jennings
Modified: 2016-12-20 10:35 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:35:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (751.86 KB, text/plain)
2015-11-09 15:59 EST, Peter Jennings
no flags Details
File: anaconda.log (12.24 KB, text/plain)
2015-11-09 15:59 EST, Peter Jennings
no flags Details
File: environ (537 bytes, text/plain)
2015-11-09 15:59 EST, Peter Jennings
no flags Details
File: journalctl (326.64 KB, text/plain)
2015-11-09 15:59 EST, Peter Jennings
no flags Details
File: lsblk_output (4.59 KB, text/plain)
2015-11-09 16:00 EST, Peter Jennings
no flags Details
File: nmcli_dev_list (3.07 KB, text/plain)
2015-11-09 16:00 EST, Peter Jennings
no flags Details
File: os_info (518 bytes, text/plain)
2015-11-09 16:00 EST, Peter Jennings
no flags Details
File: program.log (133.97 KB, text/plain)
2015-11-09 16:00 EST, Peter Jennings
no flags Details
File: storage.log (368.05 KB, text/plain)
2015-11-09 16:00 EST, Peter Jennings
no flags Details
File: ifcfg.log (7.90 KB, text/plain)
2015-11-09 16:00 EST, Peter Jennings
no flags Details

  None (edit)
Description Peter Jennings 2015-11-09 15:59:32 EST
Description of problem:
Boot from Live Fedora 23 USB stick. Attempt to install to disk.
During the probe of storage devices, an error was thrown.

Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/socket.py", line 533, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
  File "/usr/lib/python3.4/site-packages/ntplib.py", line 292, in request
    addrinfo = socket.getaddrinfo(host, port)[0]
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ntp.py", line 65, in ntp_server_working
    client.request(server)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/datetime_spoke.py", line 315, in _set_server_ok_nok
    server_working = ntp.ntp_server_working(self._serversStore[itr][SERVER_HOSTNAME])
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
UnicodeError: encoding with 'idna' codec failed (UnicodeError: label empty or too long)

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-ntplib-0.3.3-1.fc23.noarch, anaconda-gui-23.19.10-1.fc23.x86_64, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Peter Jennings 2015-11-09 15:59:49 EST
Created attachment 1091951 [details]
File: anaconda-tb
Comment 2 Peter Jennings 2015-11-09 15:59:51 EST
Created attachment 1091952 [details]
File: anaconda.log
Comment 3 Peter Jennings 2015-11-09 15:59:52 EST
Created attachment 1091953 [details]
File: environ
Comment 4 Peter Jennings 2015-11-09 15:59:59 EST
Created attachment 1091954 [details]
File: journalctl
Comment 5 Peter Jennings 2015-11-09 16:00:00 EST
Created attachment 1091955 [details]
File: lsblk_output
Comment 6 Peter Jennings 2015-11-09 16:00:01 EST
Created attachment 1091956 [details]
File: nmcli_dev_list
Comment 7 Peter Jennings 2015-11-09 16:00:02 EST
Created attachment 1091957 [details]
File: os_info
Comment 8 Peter Jennings 2015-11-09 16:00:05 EST
Created attachment 1091958 [details]
File: program.log
Comment 9 Peter Jennings 2015-11-09 16:00:14 EST
Created attachment 1091959 [details]
File: storage.log
Comment 10 Peter Jennings 2015-11-09 16:00:15 EST
Created attachment 1091960 [details]
File: ifcfg.log
Comment 11 David Shea 2015-11-09 16:23:42 EST
The problem is the call to NTPClient.request with a hostname of ".", which I'm guessing came from a misconfigured DHCP server. I suppose anaconda could check for that, but it would be nice if request raised a NTPException or some sort of socket error in this instance.
Comment 12 David Shea 2015-11-09 16:26:43 EST
Actually I'm going to try pinning this one on python first, because that's a pretty nutty failure mode. Given the statement:

socket.getaddrinfo('.', 'ntp', 0, 0, 0, 0)

python 2 raises socket.gaierror with errno -5, which makes sense, whereas python 3's UnicodeError does not.
Comment 13 Fedora Admin XMLRPC Client 2016-01-29 08:08:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2016-11-24 08:15:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:35:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.